Package org.springframework.expression

# Interface ExpressionParser

All Known Implementing Classes:
  `SpelExpressionParser`, `TemplateAwareExpressionParser`

public interface ExpressionParser
Parses expression strings into compiled expressions that can be evaluated.

Supports parsing template expressions as well as standard expression strings.

Since:
  3.0
Author:
  Keith Donald, Andy Clement

## Method Summary

Modifier and Type
Method
Description
`Expression`
`parseExpression(String expressionString)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.
`Expression`
`parseExpression(String expressionString, ParserContext context)`
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

## Method Details

### parseExpression

Expression parseExpression(String expressionString) throws ParseException
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

Examples:

         3 + 4
         name.firstName

Parameters:
  `expressionString` - the raw expression string to parse
Returns:
  an `Expression` for the parsed expression
Throws:
  `ParseException` - if an exception occurred during parsing

### parseExpression

Expression parseExpression(String expressionString, ParserContext context) throws ParseException
Parse the expression string and return an `Expression` object that can be used for repeated evaluation.

Examples:

         3 + 4
         name.firstName

Parameters:
  `expressionString` - the raw expression string to parse
  `context` - a context for influencing the expression parsing routine
Returns:
  an `Expression` for the parsed expression
Throws:
  `ParseException` - if an exception occurred during parsing